petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoLineSearchInitializePackage

This function registers the line-search algorithms in TAO. When using static libraries, this function is called from the first entry to TaoCreate(); when using shared libraries, it is called from PetscDLLibraryRegister()

### Synopsis

    PetscErrorCode TaoLineSearchInitializePackage(void)

### See Also

TaoLineSearchCreate()

Level:developer
Location:src/tao/linesearch/interface/dlregis_taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages